"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generate = void 0;
const CompilerDOM = require("@vue/compiler-dom");
const template_1 = require("./template");
const utils_1 = require("./utils");
const codeFeatures = (0, utils_1.enableAllFeatures)({
    format: false,
    structure: false,
});
function* generate(templateAst) {
    for (const node of (0, template_1.forEachElementNode)(templateAst)) {
        for (const prop of node.props) {
            if (prop.type === CompilerDOM.NodeTypes.DIRECTIVE
                && prop.name === 'bind'
                && prop.arg?.type === CompilerDOM.NodeTypes.SIMPLE_EXPRESSION
                && prop.exp?.type === CompilerDOM.NodeTypes.SIMPLE_EXPRESSION
                && prop.arg.content === 'style'
                && prop.exp.constType === CompilerDOM.ConstantTypes.CAN_STRINGIFY) {
                const endCrt = prop.arg.loc.source[prop.arg.loc.source.length - 1]; // " | '
                const start = prop.arg.loc.source.indexOf(endCrt) + 1;
                const end = prop.arg.loc.source.lastIndexOf(endCrt);
                const content = prop.arg.loc.source.substring(start, end);
                yield `x { `;
                yield [
                    content,
                    'template',
                    prop.arg.loc.start.offset + start,
                    codeFeatures,
                ];
                yield ` }\n`;
            }
        }
    }
}
exports.generate = generate;
//# sourceMappingURL=inlineCss.js.map