"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const inlineCss_1 = require("../generators/inlineCss");
const plugin = () => {
    return {
        version: 2,
        getEmbeddedCodes(_fileName, sfc) {
            if (!sfc.template?.ast) {
                return [];
            }
            return [{ id: 'template_inline_css', lang: 'css' }];
        },
        resolveEmbeddedCode(_fileName, sfc, embeddedFile) {
            if (embeddedFile.id !== 'template_inline_css' || !sfc.template?.ast) {
                return;
            }
            embeddedFile.parentCodeId = 'template';
            embeddedFile.content.push(...(0, inlineCss_1.generate)(sfc.template.ast));
        },
    };
};
exports.default = plugin;
//# sourceMappingURL=vue-template-inline-css.js.map